
/*
 * Camel EndpointConfiguration generated by camel-api-component-maven-plugin
 */
package org.apache.camel.component.google.sheets;

import org.apache.camel.spi.ApiMethod;
import org.apache.camel.spi.ApiParam;
import org.apache.camel.spi.ApiParams;
import org.apache.camel.spi.Configurer;
import org.apache.camel.spi.UriParam;
import org.apache.camel.spi.UriParams;

/**
 * Camel endpoint configuration for {@link com.google.api.services.sheets.v4.Sheets.Spreadsheets}.
 */
@ApiParams(apiName = "spreadsheets", 
           description = "The spreadsheets collection of methods",
           apiMethods = {@ApiMethod(methodName = "batchUpdate", description="Applies one or more updates to the spreadsheet", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$BatchUpdate batchUpdate(String spreadsheetId, com.google.api.services.sheets.v4.model.BatchUpdateSpreadsheetRequest content)"}), @ApiMethod(methodName = "create", description="Creates a spreadsheet, returning the newly created spreadsheet", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$Create create(com.google.api.services.sheets.v4.model.Spreadsheet content)"}), @ApiMethod(methodName = "developerMetadata", description="An accessor for creating requests from the DeveloperMetadata collection", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$DeveloperMetadata developerMetadata()"}), @ApiMethod(methodName = "get", description="Returns the spreadsheet at the given ID", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$Get get(String spreadsheetId)"}), @ApiMethod(methodName = "getByDataFilter", description="Returns the spreadsheet at the given ID", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$GetByDataFilter getByDataFilter(String spreadsheetId, com.google.api.services.sheets.v4.model.GetSpreadsheetByDataFilterRequest content)"}), @ApiMethod(methodName = "sheets", description="An accessor for creating requests from the SheetsOperations collection", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$SheetsOperations sheets()"}), @ApiMethod(methodName = "values", description="An accessor for creating requests from the Values collection", signatures={"com.google.api.services.sheets.v4.Sheets$Spreadsheets$Values values()"})}, aliases = {})
@UriParams
@Configurer(extended = true)
public final class SheetsSpreadsheetsEndpointConfiguration extends GoogleSheetsConfiguration {
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "batchUpdate", description="The com.google.api.services.sheets.v4.model.BatchUpdateSpreadsheetRequest")})
    private com.google.api.services.sheets.v4.model.BatchUpdateSpreadsheetRequest batchUpdateSpreadsheetRequest;
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "create", description="The com.google.api.services.sheets.v4.model.Spreadsheet")})
    private com.google.api.services.sheets.v4.model.Spreadsheet content;
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "getByDataFilter", description="The com.google.api.services.sheets.v4.model.GetSpreadsheetByDataFilterRequest")})
    private com.google.api.services.sheets.v4.model.GetSpreadsheetByDataFilterRequest getSpreadsheetByDataFilterRequest;
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "batchUpdate", description="The spreadsheet to apply the updates to"), @ApiMethod(methodName = "get", description="The spreadsheet to request"), @ApiMethod(methodName = "getByDataFilter", description="The spreadsheet to request")})
    private String spreadsheetId;

    public com.google.api.services.sheets.v4.model.BatchUpdateSpreadsheetRequest getBatchUpdateSpreadsheetRequest() {
        return batchUpdateSpreadsheetRequest;
    }

    public void setBatchUpdateSpreadsheetRequest(com.google.api.services.sheets.v4.model.BatchUpdateSpreadsheetRequest batchUpdateSpreadsheetRequest) {
        this.batchUpdateSpreadsheetRequest = batchUpdateSpreadsheetRequest;
    }

    public com.google.api.services.sheets.v4.model.Spreadsheet getContent() {
        return content;
    }

    public void setContent(com.google.api.services.sheets.v4.model.Spreadsheet content) {
        this.content = content;
    }

    public com.google.api.services.sheets.v4.model.GetSpreadsheetByDataFilterRequest getGetSpreadsheetByDataFilterRequest() {
        return getSpreadsheetByDataFilterRequest;
    }

    public void setGetSpreadsheetByDataFilterRequest(com.google.api.services.sheets.v4.model.GetSpreadsheetByDataFilterRequest getSpreadsheetByDataFilterRequest) {
        this.getSpreadsheetByDataFilterRequest = getSpreadsheetByDataFilterRequest;
    }

    public String getSpreadsheetId() {
        return spreadsheetId;
    }

    public void setSpreadsheetId(String spreadsheetId) {
        this.spreadsheetId = spreadsheetId;
    }
}
